Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.interaction.annotations
Enum RubberStamp.IconTypeEnum

    java.lang.Object
      java.lang.Enum<RubberStamp.IconTypeEnum>
          org.pdfclown.documents.interaction.annotations.RubberStamp.IconTypeEnum

All Implemented Interfaces:
  Serializable, Comparable<RubberStamp.IconTypeEnum>

Enclosing class:
  RubberStamp

    public static enum RubberStamp.IconTypeEnum

extends Enum<RubberStamp.IconTypeEnum>

Icon to be used in displaying the annotation [PDF:1.6:8.4.5].

Enum Constant Summary
`Approved` Approved.
`AsIs` As is.
`Confidential` Confidential.
`Departmental` Departmental.
`Draft` Draft.
`Experimental` Experimental.
`Expired` Expired.
`Final` Final.
`ForComment` For comment.
`ForPublicRelease` For public release.
`NotApproved` Not approved.
`NotForPublicRelease` Not for public release.
`Sold` Sold.
`TopSecret` Top secret.

Method Summary
`static RubberStamp.IconTypeEnum` | `get(PdfName value)` Gets the markup type corresponding to the given value.
`PdfName` | `getCode()`
`static RubberStamp.IconTypeEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RubberStamp.IconTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Approved

    public static final RubberStamp.IconTypeEnum Approved

  Approved.

### AsIs

    public static final RubberStamp.IconTypeEnum AsIs

  As is.

### Confidential

    public static final RubberStamp.IconTypeEnum Confidential

  Confidential.

### Departmental

    public static final RubberStamp.IconTypeEnum Departmental

  Departmental.

### Draft

    public static final RubberStamp.IconTypeEnum Draft

  Draft.

### Experimental

    public static final RubberStamp.IconTypeEnum Experimental

  Experimental.

### Expired

    public static final RubberStamp.IconTypeEnum Expired

  Expired.

### Final

    public static final RubberStamp.IconTypeEnum Final

  Final.

### ForComment

    public static final RubberStamp.IconTypeEnum ForComment

  For comment.

### ForPublicRelease

    public static final RubberStamp.IconTypeEnum ForPublicRelease

  For public release.

### NotApproved

    public static final RubberStamp.IconTypeEnum NotApproved

  Not approved.

### NotForPublicRelease

    public static final RubberStamp.IconTypeEnum NotForPublicRelease

  Not for public release.

### Sold

    public static final RubberStamp.IconTypeEnum Sold

  Sold.

### TopSecret

    public static final RubberStamp.IconTypeEnum TopSecret

  Top secret.

Method Detail

### values

    public static RubberStamp.IconTypeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RubberStamp.IconTypeEnum c : RubberStamp.IconTypeEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RubberStamp.IconTypeEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### get

    public static RubberStamp.IconTypeEnum get(PdfName value)

  Gets the markup type corresponding to the given value.

### getCode

    public PdfName getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.